%% crane_only1: Test Link 3 (and 2)
% clear all;
% load crane_only1;
% 
% time = q1(:,1);
% plotinfo = {
%     struct('vary',q1(1:end,2), 'axis',[], 'ylabel','q_1 [deg]', 'title','Joint angle 1'), ...
%     struct('vary',q2(1:end,2), 'axis',[], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[], 'ylabel','q_3 [deg]', 'title','Joint angle 3')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','crane_only1');
% plotter(plotinfo, opts);
% 
% time = q1(:,1);
% plotinfo = {
%     struct('vary',q2(1:end,2), 'axis',[0 10 -120 -60], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[0 10 -100 100], 'ylabel','q_3 [deg]', 'title','Joint angle 3')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','crane_only1_start');
% plotter(plotinfo, opts);


%% crane_only2: Test Link 2 (and 3)
% clear all;
% load crane_only2;
% 
% time = q1(:,1);
% plotinfo = {
%     struct('vary',q1(1:end,2), 'axis',[], 'ylabel','q_1 [deg]', 'title','Joint angle 1'), ...
%     struct('vary',q2(1:end,2), 'axis',[], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[], 'ylabel','q_3 [deg]', 'title','Joint angle 3'), ...
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_only2');
% plotter(plotinfo, opts);
% 
% plotinfo = {
%     struct('vary',q2(1:end,2), 'axis',[0 10 -190 10], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[0 10 -125 125], 'ylabel','q_3 [deg]', 'title','Joint angle 3'), ...
%     struct('vary',q2(1:end,2)+q3(1:end,2), 'axis',[0 10 -180 90], 'ylabel','q_2+q_3 [deg]', 'title','The angle of Link 3 to the horizontal')
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_only2_start');
% plotter(plotinfo, opts);

% plotinfo = {
%     struct('vary',q2(1:end,2)+q3(1:end,2), 'axis',[0 20 -180 90], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     };
% opts = struct('time', time,'y',1, 'x',1,'filename','crane_only2_test');
% plotter(plotinfo, opts);

%% crane_only3: Test Link 1
% clear all;
% load crane_only3;
% 
% time = q1(:,1);
% plotinfo = {
%     struct('vary',q1(1:end,2), 'axis',[], 'ylabel','q_1 [deg]', 'title','Joint angle 1'), ...
%     struct('vary',q2(1:end,2), 'axis',[], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[], 'ylabel','q_3 [deg]', 'title','Joint angle 3')
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_only3');
% plotter(plotinfo, opts);

%% crane_only4: Show numerical problems
% clear all;
% load crane_only4;
% 
% time = q1(:,1);
% plotinfo = {
%     struct('vary',q1(1:end,2), 'axis',[], 'ylabel','q_1 [deg]', 'title','Joint angle 1'), ...
%     struct('vary',q2(1:end,2), 'axis',[], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[], 'ylabel','q_3 [deg]', 'title','Joint angle 3')
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_only4');
% plotter(plotinfo, opts);

%% crane_only5: Show numerical problems: Model divergence
% clear all;
% load crane_only5;
% 
% time = q1(:,1);
% plotinfo = {
%     struct('vary',q1(1:end,2), 'axis',[], 'ylabel','q_1 [deg]', 'title','Joint angle 1'), ...
%     struct('vary',q2(1:end,2), 'axis',[], 'ylabel','q_2 [deg]', 'title','Joint angle 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[], 'ylabel','q_3 [deg]', 'title','Joint angle 3')
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_only5');
% plotter(plotinfo, opts);

%% cranehydr1: Test piston limits without load for J2. Full valve opening.
% clear all;
% load crane_hydr1;

% plotinfo = {
%     struct('vary',x_v(1:end,2)*100, 'axis',[], 'ylabel','x_v [%]', 'title','Four-way valve spool position for Joint 2'), ...
% 	struct('vary',NormPistonJ2(1:end,2), 'axis',[], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 2'), ...
% 	struct('vary',NormPistonJ3(1:end,2), 'axis',[], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 3'), ...
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_hydr1_piston');
% plotter(plotinfo, opts);
% 
% plotinfo = {
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',2,'filename','crane_hydr1_pressure');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'crane_hydr1_pressure', '.eps']);

%% cranehydr2: Test piston limits without load for J3. Full valve opening.
% clear all;
% load crane_hydr2;

% plotinfo = {
%     struct('vary',x_v(1:end,2)*100, 'axis',[], 'ylabel','x_v [%]', 'title','Four-way valve spool position for Joint 3'), ...
% 	struct('vary',NormPistonJ2(1:end,2), 'axis',[], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 2'), ...
% 	struct('vary',NormPistonJ3(1:end,2), 'axis',[], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 3'), ...
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_hydr2_piston');
% plotter(plotinfo, opts);

% plotinfo = {
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[0 100 .75 .9], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',2,'filename','crane_hydr2_pressure');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'crane_hydr2_pressure', '.eps']);

%% cranehydr3: Show model load limits with given set1 of q. Ramp up LoadForce until crash.
% clear all;
% load crane_hydr3;

% plotinfo = {
%     struct('vary',LoadForce(1:end,2), 'axis',[], 'ylabel','Load Force [N]', 'title','Load Force'), ...
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[0 40 0 1], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[0 40 .7 1], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[0 40 .7 1], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[0 40 .5 1], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',5, 'x',1,'filename','crane_hydr3_pressures');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'crane_hydr3_pressures', '.eps']);

% plotinfo = {
%     struct('vary',q2(1:end,2), 'axis',[], 'ylabel','q_2 [deg]', 'title','Angle of Joint 2'), ...
%     struct('vary',q3(1:end,2), 'axis',[], 'ylabel','q_3 [deg]', 'title','Angle of Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','crane_hydr3_angles');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'crane_hydr3_angles', '.eps']);

%% cranehydr4: Show model load limits with given set2 of q. Ramp up LoadForce until crash.
% clear all;
% load crane_hydr4;
% 
% plotinfo = {
%     struct('vary',LoadForce(1:end,2), 'axis',[], 'ylabel','Load Force [N]', 'title','Load Force'), ...
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[0 10 .7 1], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[0 10 .7 1], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[0 10 0 1], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[0 10 .8 1], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',5, 'x',1,'filename','crane_hydr4_pressures');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'crane_hydr4_pressures', '.eps']);

%% cranehydr5: Test piston limits 25 t load for J2. Full valve opening.
%% With leakage
% clear all;
% load crane_hydr5;
% 
% plotinfo = {
%     struct('vary',x_v(1:end,2)*100, 'axis',[], 'ylabel','x_v [%]', 'title','Four-way valve spool position for Joint 2'), ...
% 	struct('vary',NormPistonJ2(1:end,2), 'axis',[], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 2'), ...
% 	struct('vary',NormPistonJ3(1:end,2), 'axis',[], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 3'), ...
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','crane_hydr5_piston');
% plotter(plotinfo, opts);
% hgexport(gcf, ['..\plots\', 'crane_hydr5_piston', '.eps']);
% plotinfo = {
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',2,'filename','crane_hydr5_pressure');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'crane_hydr5_pressure', '.eps']);

%% winch1: Run winch without load model. Check that the speed controller works. Full speed both ways.
% clear all;
% load winch1;
% 
% plotinfo = {
%     struct('vary',wm(1:end,2)/(25*pi), 'axis',[], 'ylabel','\omega_m/\omega_r [pu]', 'title','Normalised \omega_m'), ...
%     struct('vary',wd(1:end,2)-wm(1:end,2), 'axis',[], 'ylabel','\omega_d -\omega_m [rad/s]', 'title','Deviation between motor speed and reference'), ...
%     struct('vary',Lc(1:end,2), 'axis',[], 'ylabel','L_c [m]', 'title','Cable length'), ...
%     struct('vary',T_cmd(1:end,2), 'axis',[], 'ylabel','T/T_{lim} [pu]', 'title','Normalised commanded torque from motor')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','winch1');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winch1', '.eps']);

%% winch2: Run winch without load model. Check that the speed controller works. Full speed both ways.
% clear all;
% load winch2;
% 
% plotinfo = {
%     struct('vary',wm(1:end,2)/(25*pi), 'axis',[0 80 -1.1 1.1], 'ylabel','\omega_m/\omega_r [pu]', 'title','Normalised \omega_m'), ...
%     struct('vary',wd(1:end,2)-wm(1:end,2), 'axis',[0 80 -2 10], 'ylabel','\omega_d -\omega_m [rad/s]', 'title','Deviation between motor speed and reference'), ...
%     struct('vary',Lc(1:end,2), 'axis',[], 'ylabel','L_c [m]', 'title','Cable length'), ...
%     struct('vary',T_cmd(1:end,2), 'axis',[0 80 0 1.1], 'ylabel','T/T_{lim} [pu]', 'title','Normalised commanded torque from motor')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','winch2');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winch2', '.eps']);

%% winch3: Check the disc brake. Brake on. Brak off. Full speed down. Brake on.
% clear all;
% load winch3;
% 
% plotinfo = {
%     struct('vary',wm(1:end,2)/(25*pi), 'axis',[], 'ylabel','\omega_m/\omega_r [pu]', 'title','Normalised \omega_m'), ...
%     struct('vary',Lc(1:end,2), 'axis',[], 'ylabel','L_c [m]', 'title','Cable length'), ...
%     struct('vary',T_cmd(1:end,2), 'axis',[], 'ylabel','T/T_{lim} [pu]', 'title','Normalised commanded torque from motor'), ...
%     struct('vary',BrakeON(1:end,2), 'axis',[0 time(end) -.2 1.2], 'ylabel','Brake ON', 'title','Signal for enabling the disc brake')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','winch3');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winch3', '.eps']);

%% winchload1: Lift and land the load from a steady deck/crane. Use CT
% clear all;
% load winchload1;
% 
% time = z_l.time;
% plotinfo = {
%     struct('vary',z_l.signals.values-5, 'legend',[],'axis',[0 time(end) -.05 .3], 'ylabel','z_l-H_l-z_d', 'title','Payload height above deck'), ...
%     struct('vary',[CT_d.signals.values, Speed_d(1:end,2)]/(25*pi), 'legend',['CT_d&Speed_d'], 'axis',[], 'ylabel','CT_d and Speed_d [pu]', 'title','Normalised motor command signals'), ...
%     struct('vary',Elong(1:end,2), 'legend',[], 'axis',[0 time(end) -1.2 .2], 'ylabel','\Delta L_c', 'title','Cable elongation'), ...
%     struct('vary',DAF(1:end,2), 'legend',[], 'axis',[0 time(end) -.1 1.1], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor')
%     %     struct('vary',Lc(1:end,2), 'axis',[], 'ylabel','L_c [m]', 'title','Cable length'), ...
% %     struct('vary',T_cmd(1:end,2), 'axis',[], 'ylabel','T/T_{lim} [pu]', 'title','Normalised commanded torque from motor'), ...
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','winchload1');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload1', '.eps']);

%% winchload2: Lift the load from a moving deck/crane and through the wave zone. Use CT. Turn on HC.
% clear all;
% load winchload2;
% 
% time = z_l.time;
% plotinfo = {
%     struct('vary',[z_l.signals.values, z_l.signals.values-5], 'legend','Top pos&Bottom pos','axis',[0 70 0 10], 'ylabel','[m]', 'title','Payload top and bottom positions'), ...
%     struct('vary',Elong(:,2), 'legend',[], 'axis',[0 70 -1.2 .2], 'ylabel','\Delta L_c', 'title','Cable elongation'), ...
%     struct('vary',DAF(:,2), 'legend',[], 'axis',[0 70 0 1.1], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor')
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','winchload2_11');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload2_11', '.eps']);
% 
% plotinfo = {
%     struct('vary',[z_l.signals.values, z_l.signals.values-5], 'legend','Top pos&Bottom pos','axis',[70 160 -20 10], 'ylabel','[m]', 'title','Payload top and bottom positions'), ...
%     struct('vary',Elong(:,2), 'legend',[], 'axis',[70 160 0 .2], 'ylabel','\Delta L_c', 'title','Cable elongation'), ...
%     struct('vary',DAF(:,2), 'legend',[], 'axis',[70 160 .8 1.2], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',F_h(:,2), 'legend',[], 'axis',[70 160 0 7e5], 'ylabel','F_h', 'title','The hydrodynamic force')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','winchload2_12');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload2_12', '.eps']);

% plotinfo = {
%     struct('vary',[Speed_d(1:end,2),CT_d.signals.values]/(25*pi), 'legend','Speed_d&CT_d', 'axis',[0 70 -.2 .2], 'ylabel','[pu]', 'title','Normalised motor command signals'), ...
%     struct('vary',wd(:,2)/(25*pi), 'legend',[], 'axis',[0 70 -.2 .2], 'ylabel','\omega_d/\omega_r [pu]', 'title','Normalised composite motor reference')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','winchload2_21');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload2_21', '.eps']);
% 
% plotinfo = {
%     struct('vary',[Speed_d(1:end,2), HC_d(1:end,2)]/(25*pi), 'legend',['HC_d&Speed_d'], 'axis',[70 160 -.5 .5], 'ylabel','[rad/s]', 'title','Normalised motor command signals'), ...
%     struct('vary',wd(:,2)/(25*pi), 'legend',[], 'axis',[70 160 -.5 .5], 'ylabel','\omega_d [rad/s]', 'title','Normalised composite motor reference')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','winchload2_22');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload2_22', '.eps']);

%% winchload3: With the load submerged, turn on HC after 20 sec and evaluate HC performance
% clear all;
% load winchload3;
% 
% time = z_l.time;
% plotinfo = {
%     struct('vary',DAF(:,2), 'legend','', 'axis',[0 750 .8 1.2], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',z_l.signals.values, 'axis',[0 750 -455 -452.8], 'ylabel','z_l [m]', 'title','Payload position')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','winchload3_long');
% plotter(plotinfo, opts);
% 
% plotinfo = {
%     struct('vary',DAF(:,2), 'axis',[740 750 .998 1.002], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',z_l.signals.values, 'axis',[740 750 -453.44 -453.41], 'ylabel','z_l [m]', 'title','Payload position')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','winchload3_end');
% plotter(plotinfo, opts);
% 
% plotinfo = {
%     struct('vary',DAF(:,2), 'axis',[0 40 .8 1.2], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',z_l.signals.values, 'axis',[0 40 -455 -452], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',HC_d(:,2)/(25*pi), 'axis',[0 40 -.5 .5], 'ylabel','\omega_d/\omega_r [pu]', 'title','Motor reference')
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','winchload3_start');
% plotter(plotinfo, opts);

%% winchload4: With the load on a surface deeply submerged. Start CT with HC and lift the load.
% clear all;
% load winchload4;
% 
% time = z_l.time;
% plotinfo = {
%     struct('vary',z_l.signals.values, 'axis',[0 150 -451 -447], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',Lc(:,2), 'axis',[0 150 459 469], 'ylabel','L_c [m]', 'title','Cable length from boom tip to payload'), ...
%     struct('vary',DAF(:,2), 'axis',[0 150 0 1.1], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',Elong(:,2), 'axis',[], 'ylabel','\Delta L_c [m]', 'title','Cable elongation')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','winchload4');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload4_pos', '.eps']);

% plotinfo = {
%     struct('vary',[Speed_d(1:end,2),CT_d.signals.values, HC_d(:,2)]/(25*pi), 'legend','Speed_d&CT_d&HC_d', 'axis',[], 'ylabel','[pu]', 'title','Normalised motor command signals'), ...
%     struct('vary',wd(:,2)/(25*pi), 'legend',[], 'axis',[], 'ylabel','\omega_d/\omega_r [pu]', 'title','Normalised composite motor reference')
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','winchload4');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload4_speed', '.eps']);

%% winchload5: Initialisation with load in the air
% clear all;
% load winchload5;
% 
% plotinfo = {
%     struct('vary',z_l.signals.values, 'legend',[],'axis',[], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',Elong(1:end,2), 'legend',[], 'axis',[], 'ylabel','\Delta L_c [m]', 'title','Cable elongation'), ...
%     struct('vary',DAF(1:end,2), 'legend',[], 'axis',[], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor')
%     %     struct('vary',Lc(1:end,2), 'axis',[], 'ylabel','L_c [m]', 'title','Cable length'), ...
% %     struct('vary',T_cmd(1:end,2), 'axis',[], 'ylabel','T/T_{lim} [pu]', 'title','Normalised commanded torque from motor'), ...
%     };
% opts = struct('time', time,'y',3, 'x',1,'filename','winchload5');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'winchload5', '.eps']);

%% simulator1: Load on deck. Lift the load by luffing J2. Land it. Steady deck/crane.
% clear all;
% load simulator1;
% 
% plotinfo = {
%     struct('vary',z_l(:,2)-3-pi, 'axis',[], 'ylabel','z_l-H_l-z_d [m]', 'title','Payload height above deck'), ...
%     struct('vary',DAF(1:end,2), 'axis',[0 80 0 1.1], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',Lc(1:end,2), 'axis',[], 'ylabel','L_c [m]', 'title','Cable length'), ...
% 	struct('vary',NormPistonJ2(:,2), 'axis',[0 80 .59 .61], 'ylabel','x_p/x_s [pu]', 'title','Normalised piston position for Joint 2')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','simulator1_misc');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator1_misc', '.eps']);

% plotinfo = {
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[0 80 .35 .55], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[0 80 .55 .56], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[0 80 .45 .55], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[0 80 .43 .45], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',2,'filename','simulator1_pressures');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator1_pressures', '.eps']);

%% simulator2: Initialisation with load in air. Steady deck/crane.
% clear all;
% load simulator2;
% 
% plotinfo = {
%     struct('vary',z_l(:,2), 'axis',[0 8 5.1 5.5], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',z_b(:,2), 'axis',[0 8 16.5 16.8], 'ylabel','z_b [m]', 'title','Boom tip position'), ...
%     struct('vary',Elong(1:end,2), 'legend',[], 'axis',[], 'ylabel','\Delta L_c [m]', 'title','Cable elongation'), ...
%     struct('vary',DAF(1:end,2), 'axis',[], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','simulator2_misc');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator2_misc', '.eps']);


% plotinfo = {
%     struct('vary',NormPistonJ2(:,2), 'axis',[], 'ylabel','x_p/x_{s_2} [pu]', 'title','Normalised piston position for Joint 2'), ...
%     struct('vary',NormPistonJ3(:,2), 'axis',[], 'ylabel','x_p/x_{s_3} [pu]', 'title','Normalised piston position for Joint 3'), ...
%     };
% opts = struct('time', time,'y',2, 'x',1,'filename','simulator2_pistons');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator2_pistons', '.eps']);


% plotinfo = {
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[0 8 .2 .6], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[0 8 .53 .58], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[0 8 .4 .7], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[0 8 .3 .6], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',2,'filename','simulator2_pressures');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator2_pressures', '.eps']);

%% simulator3: Initialisation with load in water. Steady deck/crane.
% 
% plotinfo = {
%     struct('vary',z_l(:,2), 'axis',[0 10 -194.7 -194.4], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',z_b(:,2), 'axis',[], 'ylabel','z_b [m]', 'title','Boom tip position'), ...
%     struct('vary',Elong(1:end,2), 'axis',[0 10 .9 1.2], 'ylabel','\Delta L_c [m]', 'title','Cable elongation'), ...
%     struct('vary',DAF(1:end,2), 'axis',[0 10 .9 1.1], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','simulator3_misc');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator3_misc', '.eps']);

% plotinfo = {
%     struct('vary',ACT2PUpper(1:end,2)/300E5, 'axis',[0 10 .3 .6], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 2'), ...
%     struct('vary',ACT3PUpper(1:end,2)/300E5, 'axis',[0 10 .53 .58], 'ylabel','p_2/p_s [pu]', 'title','Normalised pressure in Volume 2 for Joint 3'), ...
%     struct('vary',ACT2PLower(1:end,2)/300E5, 'axis',[0 10 .4 .6], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 2'), ...
%     struct('vary',ACT3PLower(1:end,2)/300E5, 'axis',[0 10 .3 .6], 'ylabel','p_1/p_s [pu]', 'title','Normalised pressure in Volume 1 for Joint 3')
%     };
% opts = struct('time', time,'y',2, 'x',2,'filename','simulator3_pressures');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'simulator3_pressures', '.eps']);

%% vessel1: Waves. Lift the load from the seabed into HC.
% clear all;
% load vessel1;
% 
% plotinfo = {
%     struct('vary',DAF(:,2), 'legend','', 'axis',[], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',z_l(:,2), 'axis',[], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',-VesselDown(:,2), 'axis',[], 'ylabel','-d [m]', 'title','Vessel heave motion'), ...
%     struct('vary',T_cmd(:,2), 'axis',[], 'ylabel','T/T_{lim} [pu]', 'title','Normalised torque command')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','vessel1');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'vessel1', '.eps']);

% % plotinfo = {
% %     struct('vary',DAF(:,2), 'axis',[740 750 .998 1.002], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
% %     struct('vary',z_l.signals.values, 'axis',[740 750 -453.44 -453.41], 'ylabel','z_l [m]', 'title','Payload position')
% %     };
% % opts = struct('time', time,'y',2, 'x',1,'filename','winchload3_end');
% % plotter(plotinfo, opts);
% % 
% % plotinfo = {
% %     struct('vary',DAF(:,2), 'axis',[0 40 .8 1.2], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
% %     struct('vary',z_l.signals.values, 'axis',[0 40 -455 -452], 'ylabel','z_l [m]', 'title','Payload position'), ...
% %     struct('vary',HC_d(:,2)/(25*pi), 'axis',[0 40 -.5 .5], 'ylabel','\omega_d/\omega_r [pu]', 'title','Motor reference')
% %     };
% % opts = struct('time', time,'y',3, 'x',1,'filename','winchload3_start');
% % plotter(plotinfo, opts);

%% vessel2: Waves. Lift the load from the seabed into HC. Torque command saturates
% clear all;
% load vessel2;
% 
% plotinfo = {
%     struct('vary',DAF(:,2), 'legend','', 'axis',[], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
%     struct('vary',z_l(:,2), 'axis',[], 'ylabel','z_l [m]', 'title','Payload position'), ...
%     struct('vary',-VesselDown(:,2), 'axis',[], 'ylabel','-d [m]', 'title','Vessel heave motion'), ...
%     struct('vary',T_cmd(:,2), 'axis',[], 'ylabel','T/T_{lim} [pu]', 'title','Normalised torque command')
%     };
% opts = struct('time', time,'y',4, 'x',1,'filename','vessel2_long');
% plotter(plotinfo, opts);
% % hgexport(gcf, ['..\plots\', 'vessel2', '.eps']);

% % plotinfo = {
% %     struct('vary',DAF(:,2), 'axis',[740 750 .998 1.002], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
% %     struct('vary',z_l.signals.values, 'axis',[740 750 -453.44 -453.41], 'ylabel','z_l [m]', 'title','Payload position')
% %     };
% % opts = struct('time', time,'y',2, 'x',1,'filename','winchload3_end');
% % plotter(plotinfo, opts);
% % 
% % plotinfo = {
% %     struct('vary',DAF(:,2), 'axis',[0 40 .8 1.2], 'ylabel','DAF_{boom}', 'title','Dynamic Amplification Factor'), ...
% %     struct('vary',z_l.signals.values, 'axis',[0 40 -455 -452], 'ylabel','z_l [m]', 'title','Payload position'), ...
% %     struct('vary',HC_d(:,2)/(25*pi), 'axis',[0 40 -.5 .5], 'ylabel','\omega_d/\omega_r [pu]', 'title','Motor reference')
% %     };
% % opts = struct('time', time,'y',3, 'x',1,'filename','winchload3_start');
% % plotter(plotinfo, opts);