% Computes the damped frequency beta

E = ParF_ENVIRONMENT_CableModOfElasticity;
A = ParF_ENVIRONMENT_CableCrossectionArea;
zeta = ParF_ENVIRONMENT_CableRelativeInternalDamping;
Ml = ParF_ENVIRONMENT_LoadMass;
rho_c = ParF_ENVIRONMENT_CableSpecificMass;
Ca = ParF_ENVIRONMENT_AddedmassLUT(1,end);
rho_w = ParC_DensityOfWater;
Vl = ParF_ENVIRONMENT_LoadVolume;
A33 = Ca*rho_w*Vl;

Lc = 300;

beta = sqrt((1-zeta^2)*(E*A./(Lc.*(Ml+.5*rho_c.*Lc+A33))))

% plot(Lc,beta);
