g = 4;
ParF_WINCH_MaxMotorSpeed = g*ParF_WINCH_RatedMotorSpeed;

w = 0:.1:ParF_WINCH_MaxMotorSpeed;
T = min(ParF_WINCH_RatedMotorPower/ParF_WINCH_RatedMotorSpeed*ones(1,length(w)),...
    ParF_WINCH_RatedMotorPower./w);
RatedTorque = ParF_WINCH_RatedMotorPower/ParF_WINCH_RatedMotorSpeed;

w = [w w(end)+.1];
T = [T 0];
hold on;
plot(w/ParF_WINCH_RatedMotorSpeed,T/RatedTorque, 'k')
plot(-w/ParF_WINCH_RatedMotorSpeed,T/RatedTorque, 'k')

w2 = w(end)+.1:.1:60;
w = [w w2];
T = [T zeros(1, length(w2))];
plot(w/ParF_WINCH_RatedMotorSpeed,-T/RatedTorque, 'k')
plot(-w/ParF_WINCH_RatedMotorSpeed,-T/RatedTorque, 'k')

plot([w(end)/ParF_WINCH_RatedMotorSpeed w(end)/ParF_WINCH_RatedMotorSpeed+.5],[0 0], 'k' ) 
plot([-w(end)/ParF_WINCH_RatedMotorSpeed -(w(end)/ParF_WINCH_RatedMotorSpeed+.5)],[0 0], 'k' ) 

title('Torque limits')
ylabel('T\cdot\omega_r/P_r')
xlabel('\omega/\omega_r')
% axis([-2.5 2.5 -1.2 1.2])
axis([-g-.5 g+.5 -1.2 1.2])

hgexport(gcf, '..\plots\winchtorquelimit.eps');
