function JointToJointVectors = ComputeJointToJointVectors(DH_matrix)
    numberOfLinks = size(DH_matrix,2);
    
    JointToJointVectors = zeros(3,numberOfLinks);
    
    for i = 1:numberOfLinks
        JointToJointVectors(:,i) = [DH_matrix(1,i),sin(DH_matrix(2,i))*DH_matrix(3,i),cos(DH_matrix(2,i))*DH_matrix(3,i)]';        
    end
end