% Tunable parameters that initially are nonzero

global ParT;
% ParT_Waves_SpectrumType = 2;
% ParT_Waves_Hs = 0;
% ParT_Waves_PeakFreq = -1;
% 
% ParT_Waves_Amplitude = 3;
% ParT_Waves_Frequency = 0.45;
% ParT_Waves_Phase = 0;
% ParT_Waves_Direction = pi;

%% Tunable parameters
ParT.ACT1.SpeedRef = 0;
ParT.ACT1.PowerLimit = 7e5;
ParT.ACT2.ValvePosition = 0;
ParT.ACT3.ValvePosition = 0;

ParT.ENVIRONMENT.ABoom = 0;
ParT.ENVIRONMENT.FBoom = 0;
ParT.ENVIRONMENT.PBoom = 0;
ParT.ENVIRONMENT.OBoom = 15;

ParT.VESSEL.AHeave = 0;
ParT.VESSEL.FHeave = 0;
ParT.VESSEL.PHeave = 0;
ParT.VESSEL.OHeave = 0;

ParT.ENVIRONMENT.ACable = 0;
ParT.ENVIRONMENT.FCable = 0;
ParT.ENVIRONMENT.PCable = 0;
ParT.ENVIRONMENT.OCable = 60;

ParT.ENVIRONMENT.ADeck = 0;
ParT.ENVIRONMENT.FDeck = 0;
ParT.ENVIRONMENT.PDeck = 0;
ParT.ENVIRONMENT.ODeck = -200;

ParT.ENVIRONMENT.AWave = 0;
ParT.ENVIRONMENT.FWave = 0;
ParT.ENVIRONMENT.PWave = 0;

ParT.ENVIRONMENT.NEnable = 1;
ParT.ENVIRONMENT.DeckIsVessel = 0;

ParT.WINCH.DiscBrakeON = 0;
ParT.WINCH.HCON = 0;
ParT.WINCH.CTON = 0;
ParT.WINCH.wd = 0;
ParT.WINCH.Fd = 0;