rho_s = 7800; % Steel density
d = .06; % Winch drum cylinder thickness
ParF_WINCH_DrumRadius = .6;
ParF_WINCH_WinchWidth = 1.8; % metre
ParF_WINCH_DrumMass = rho_s*pi*(ParF_WINCH_DrumRadius^2-(ParF_WINCH_DrumRadius-d)^2)*ParF_WINCH_WinchWidth;
ParF_WINCH_DrumInertia = .5*ParF_WINCH_DrumMass*(ParF_WINCH_DrumRadius^2+(ParF_WINCH_DrumRadius-d)^2);


ParF_WINCH_CableWindingsPerLayer = floor(ParF_WINCH_WinchWidth/ParF_ENVIRONMENT_CableDiameter);
ParF_WINCH_TotalCableLength = 1500;
ParF_WINCH_CableAlongCraneStructure = 33.8; % Should be given by a_2 and a_3
ParX0_WINCH_LengthOfCableOnWinch = 1455;%+57.5;
Lc = ParF_WINCH_TotalCableLength - ParF_WINCH_CableAlongCraneStructure - ParX0_WINCH_LengthOfCableOnWinch

ParF_WINCH_ThetaInit = findDrumInitAngle(ParX0_WINCH_LengthOfCableOnWinch,ParF_WINCH_DrumRadius,ParF_ENVIRONMENT_CableDiameter,ParF_WINCH_CableWindingsPerLayer);

ParF_WINCH_MaxBrakeTorque = 2e5;

ratedlinearspeed = 2.5;
ParF_WINCH_RatedMotorPower = 1.5*100e3*9.81*ratedlinearspeed; % Lifting 100e3 kg @ 80 m/min
ParF_WINCH_RatedMotorSpeed = 25*pi; %ratedlinearspeed*(ParF_WINCH_DrumRadius+.5)/ParF_WINCH_GearRatio;
ParF_WINCH_MaxMotorSpeed = 1.5*ParF_WINCH_RatedMotorSpeed;
ParF_WINCH_MotorViscousDamping = .1*ParF_WINCH_RatedMotorPower/ParF_WINCH_RatedMotorSpeed^2;
ParF_WINCH_GearRatio = ratedlinearspeed*ParF_WINCH_DrumRadius/(ParF_WINCH_RatedMotorSpeed); % Shall be <= 1.
time = 1.5; % seconds
ParF_WINCH_MotorInertia = ParF_WINCH_RatedMotorPower*time/ParF_WINCH_RatedMotorSpeed^2;

ParF_WINCH_Controllerw0 = 2*6.25;%1*ParF_WINCH_RatedMotorSpeed; % Undamped natural frequency

%% Controller
% kp = (ParF_WINCH_MotorInertia+ParF_WINCH_GearRatio^2)

